Get product catalog
Retrieves the complete product catalog including all purchasable items, offer chains, and non-purchasable display items organized in rows.
Authorization
hmac Versioned HMAC-SHA256 signature for server-to-server communication between game backends and Stash services. Recommended over the deprecated legacyHmac scheme for the best security. Header format: v1;{shopId};{unixMillisTimestamp};{base64Signature} (semicolon-delimited). {base64Signature} is the base64-encoded HMAC-SHA256 of the string {unixMillisTimestamp}.{requestBody} signed with your Egress API key, where {requestBody} is the compact request JSON. The timestamp must be within 5 minutes of Stash server time. Your shopId is your immutable shop identifier; it and your Egress API key are available in Stash Studio under Project Settings > API Secrets.
In: header
Query Parameters
Optional platform filter to get platform-specific catalog items
- CATALOG_PLATFORM_UNSPECIFIED: Default unknown platform
"CATALOG_PLATFORM_UNSPECIFIED"Value in
- "CATALOG_PLATFORM_UNSPECIFIED"
- "CATALOG_PLATFORM_IOS"
- "CATALOG_PLATFORM_ANDROID"
- "CATALOG_PLATFORM_WEBSTORE"
Optional region filter using ISO-3166-1 alpha-2 country code (e.g., 'US', 'EU', 'JP')
Optional language code filter using ISO 639-1 code (e.g., 'en', 'es', 'fr', 'de')
Optional player ID filter to get player-specific catalog items
The originating Stash shop identifier (mirrors the shopId sent in webhooks)
Payment environment for the request
"PAYMENT_ENVIRONMENT_UNSPECIFIED"Value in
- "PAYMENT_ENVIRONMENT_UNSPECIFIED"
- "PAYMENT_ENVIRONMENT_TEST"
- "PAYMENT_ENVIRONMENT_PRODUCTION"
Optional identifier of the player's current loyalty tier, resolved by Stash when a loyalty program is enabled. Use it to select the reward bundle for the player's current tier.
Optional identifier of the loyalty tier directly above the player's current tier (absent at the top tier), resolved by Stash when a loyalty program is enabled. Use it to return a locked preview of the next tier's reward.
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/catalog"{ "catalog": { "sections": [ { "guid": "string", "header": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "items": [ { "product": { "guid": "string", "productId": "string", "type": "PURCHASABLE_ITEM_TYPE_UNSPECIFIED", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "description": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "image": "string", "maxPurchasable": 0, "maxPurchasableDescription": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "price": { "amount": { "currency": "string", "cents": 0 }, "priceId": "string" }, "expiration": "2019-08-24T14:15:22Z", "refreshAt": "2019-08-24T14:15:22Z", "metadata": { "property1": "string", "property2": "string" }, "attributes": { "banner": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } }, "badge": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "action": "BADGE_ACTION_UNSPECIFIED", "strikethroughText": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } }, "background": { "imageUrl": "string", "backgroundStyle": "string" }, "tooltip": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } }, "buyButton": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "iconImageUrl": "string", "backgroundStyle": "string", "tooltip": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } } }, "borderType": "CATALOG_BORDER_TYPE_UNSPECIFIED" }, "contents": [ { "guid": "string", "type": "CONTENT_ITEM_TYPE_UNSPECIFIED", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "description": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "image": "string", "quantity": "string", "bonusQuantity": 0, "unitImage": "string", "infoButton": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "iconImageUrl": "string", "backgroundStyle": "string", "tooltip": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } } }, "callout": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "iconImageUrl": "string" }, "primaryBackground": { "imageUrl": "string", "backgroundStyle": "string" }, "secondaryBackground": { "imageUrl": "string", "backgroundStyle": "string" }, "specialIndicator": { "iconImageUrl": "string", "tooltip": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } } }, "rewardBuff": { "percentage": 0.1, "type": "REWARD_BUFF_TYPE_UNSPECIFIED", "iconImageUrl": "string", "backgroundStyle": "string", "displayPercentage": "string" }, "featured": true, "clickAction": "CONTENT_ITEM_CLICK_ACTION_UNSPECIFIED", "badge": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } } } ], "bonusItems": [ { "type": "PURCHASABLE_BONUS_ITEM_TYPE_UNSPECIFIED", "id": "string", "amount": "string", "originalAmount": "string" } ] }, "chain": { "guid": "string", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "description": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "expiration": "2019-08-24T14:15:22Z", "repeatable": true, "links": [ { "guid": "string", "productId": "string", "price": { "amount": { "currency": "string", "cents": 0 }, "priceId": "string" }, "maxPurchasable": 0, "items": [ { "guid": "string", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "description": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "image": "string", "quantity": "string", "unitImage": "string" } ], "status": "CHAIN_LINK_STATUS_UNSPECIFIED", "bundleImage": "string" } ], "banner": { "background": { "imageUrl": "string", "backgroundStyle": "string" }, "revealButton": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "iconImageUrl": "string", "backgroundStyle": "string", "tooltip": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } } }, "leftDecal": { "imageUrl": "string" }, "rightDecal": { "imageUrl": "string" } } }, "info": { "guid": "string", "itemId": "string", "type": "NON_PURCHASABLE_ITEM_TYPE_UNSPECIFIED", "title": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "body": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "attributes": { "background": { "imageUrl": "string", "backgroundStyle": "string" } }, "contents": [ { "guid": "string", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "description": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "image": "string", "quantity": "string", "unitImage": "string" } ] }, "free": { "guid": "string", "itemId": "string", "claimId": "string", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "status": "FREE_ITEM_STATUS_UNSPECIFIED", "streakOrder": 0, "maxClaimable": 0, "refreshAt": "2019-08-24T14:15:22Z", "contents": [ { "guid": "string", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "image": "string", "quantity": "string", "unitImage": "string" } ], "attributes": { "background": { "imageUrl": "string", "backgroundStyle": "string" } }, "targetTierId": "string", "bonusItems": [ { "type": "FREE_BONUS_ITEM_TYPE_UNSPECIFIED", "id": "string", "amount": "string" } ], "metadata": { "property1": "string", "property2": "string" } }, "pack": { "id": "string", "items": [ { "guid": "string", "productId": "string", "type": "PURCHASE_PACK_ITEM_TYPE_UNSPECIFIED", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "description": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "image": "string", "price": { "amount": { "currency": "string", "cents": 0 }, "priceId": "string" }, "metadata": { "property1": "string", "property2": "string" }, "attributes": { "banner": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } }, "badge": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "action": "BADGE_ACTION_UNSPECIFIED", "strikethroughText": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } }, "background": { "imageUrl": "string", "backgroundStyle": "string" }, "tooltip": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } }, "buyButton": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "iconImageUrl": "string", "backgroundStyle": "string", "tooltip": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } } }, "borderType": "CATALOG_BORDER_TYPE_UNSPECIFIED" }, "contents": [ { "guid": "string", "type": "CONTENT_ITEM_TYPE_UNSPECIFIED", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "description": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "image": "string", "quantity": "string", "bonusQuantity": 0, "unitImage": "string", "infoButton": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "iconImageUrl": "string", "backgroundStyle": "string", "tooltip": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } } }, "callout": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "iconImageUrl": "string" }, "primaryBackground": { "imageUrl": "string", "backgroundStyle": "string" }, "secondaryBackground": { "imageUrl": "string", "backgroundStyle": "string" }, "specialIndicator": { "iconImageUrl": "string", "tooltip": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } } }, "rewardBuff": { "percentage": 0.1, "type": "REWARD_BUFF_TYPE_UNSPECIFIED", "iconImageUrl": "string", "backgroundStyle": "string", "displayPercentage": "string" }, "featured": true, "clickAction": "CONTENT_ITEM_CLICK_ACTION_UNSPECIFIED", "badge": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } } } ], "bonusItems": [ { "type": "PURCHASABLE_BONUS_ITEM_TYPE_UNSPECIFIED", "id": "string", "amount": "string", "originalAmount": "string" } ] } ], "maxPurchasable": 0, "maxPurchasableDescription": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "expiration": "2019-08-24T14:15:22Z", "refreshAt": "2019-08-24T14:15:22Z" } } ], "displayType": "CATALOG_SECTION_DISPLAY_TYPE_UNSPECIFIED", "groups": [ { "header": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "items": [ { "product": { "guid": "string", "productId": "string", "type": "PURCHASABLE_ITEM_TYPE_UNSPECIFIED", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "description": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "image": "string", "maxPurchasable": 0, "maxPurchasableDescription": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "price": { "amount": { "currency": "string", "cents": 0 }, "priceId": "string" }, "expiration": "2019-08-24T14:15:22Z", "refreshAt": "2019-08-24T14:15:22Z", "metadata": { "property1": "string", "property2": "string" }, "attributes": { "banner": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } }, "badge": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "action": "BADGE_ACTION_UNSPECIFIED", "strikethroughText": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } }, "background": { "imageUrl": "string", "backgroundStyle": "string" }, "tooltip": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } }, "buyButton": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "iconImageUrl": "string", "backgroundStyle": "string", "tooltip": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } } }, "borderType": "CATALOG_BORDER_TYPE_UNSPECIFIED" }, "contents": [ { "guid": "string", "type": "CONTENT_ITEM_TYPE_UNSPECIFIED", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "description": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "image": "string", "quantity": "string", "bonusQuantity": 0, "unitImage": "string", "infoButton": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "iconImageUrl": "string", "backgroundStyle": "string", "tooltip": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } } }, "callout": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "iconImageUrl": "string" }, "primaryBackground": { "imageUrl": "string", "backgroundStyle": "string" }, "secondaryBackground": { "imageUrl": "string", "backgroundStyle": "string" }, "specialIndicator": { "iconImageUrl": "string", "tooltip": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } } }, "rewardBuff": { "percentage": 0.1, "type": "REWARD_BUFF_TYPE_UNSPECIFIED", "iconImageUrl": "string", "backgroundStyle": "string", "displayPercentage": "string" }, "featured": true, "clickAction": "CONTENT_ITEM_CLICK_ACTION_UNSPECIFIED", "badge": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } } } ], "bonusItems": [ { "type": "PURCHASABLE_BONUS_ITEM_TYPE_UNSPECIFIED", "id": "string", "amount": "string", "originalAmount": "string" } ] }, "chain": { "guid": "string", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "description": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "expiration": "2019-08-24T14:15:22Z", "repeatable": true, "links": [ { "guid": "string", "productId": "string", "price": { "amount": { "currency": "string", "cents": 0 }, "priceId": "string" }, "maxPurchasable": 0, "items": [ { "guid": "string", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "description": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "image": "string", "quantity": "string", "unitImage": "string" } ], "status": "CHAIN_LINK_STATUS_UNSPECIFIED", "bundleImage": "string" } ], "banner": { "background": { "imageUrl": "string", "backgroundStyle": "string" }, "revealButton": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "iconImageUrl": "string", "backgroundStyle": "string", "tooltip": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } } }, "leftDecal": { "imageUrl": "string" }, "rightDecal": { "imageUrl": "string" } } }, "info": { "guid": "string", "itemId": "string", "type": "NON_PURCHASABLE_ITEM_TYPE_UNSPECIFIED", "title": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "body": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "attributes": { "background": { "imageUrl": "string", "backgroundStyle": "string" } }, "contents": [ { "guid": "string", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "description": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "image": "string", "quantity": "string", "unitImage": "string" } ] }, "free": { "guid": "string", "itemId": "string", "claimId": "string", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "status": "FREE_ITEM_STATUS_UNSPECIFIED", "streakOrder": 0, "maxClaimable": 0, "refreshAt": "2019-08-24T14:15:22Z", "contents": [ { "guid": "string", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "image": "string", "quantity": "string", "unitImage": "string" } ], "attributes": { "background": { "imageUrl": "string", "backgroundStyle": "string" } }, "targetTierId": "string", "bonusItems": [ { "type": "FREE_BONUS_ITEM_TYPE_UNSPECIFIED", "id": "string", "amount": "string" } ], "metadata": { "property1": "string", "property2": "string" } }, "pack": { "id": "string", "items": [ { "guid": "string", "productId": "string", "type": "PURCHASE_PACK_ITEM_TYPE_UNSPECIFIED", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "description": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "image": "string", "price": { "amount": { "currency": "string", "cents": 0 }, "priceId": "string" }, "metadata": { "property1": "string", "property2": "string" }, "attributes": { "banner": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } }, "badge": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "action": "BADGE_ACTION_UNSPECIFIED", "strikethroughText": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } }, "background": { "imageUrl": "string", "backgroundStyle": "string" }, "tooltip": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" } }, "buyButton": { "text": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "iconImageUrl": "string", "backgroundStyle": "string", "tooltip": { "text": {} } }, "borderType": "CATALOG_BORDER_TYPE_UNSPECIFIED" }, "contents": [ { "guid": "string", "type": "CONTENT_ITEM_TYPE_UNSPECIFIED", "name": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "description": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "image": "string", "quantity": "string", "bonusQuantity": 0, "unitImage": "string", "infoButton": { "text": {}, "iconImageUrl": "string", "backgroundStyle": "string", "tooltip": {} }, "callout": { "text": {}, "iconImageUrl": "string" }, "primaryBackground": { "imageUrl": "string", "backgroundStyle": "string" }, "secondaryBackground": { "imageUrl": "string", "backgroundStyle": "string" }, "specialIndicator": { "iconImageUrl": "string", "tooltip": {} }, "rewardBuff": { "percentage": 0.1, "type": "REWARD_BUFF_TYPE_UNSPECIFIED", "iconImageUrl": "string", "backgroundStyle": "string", "displayPercentage": "string" }, "featured": true, "clickAction": "CONTENT_ITEM_CLICK_ACTION_UNSPECIFIED", "badge": { "text": {} } } ], "bonusItems": [ { "type": "PURCHASABLE_BONUS_ITEM_TYPE_UNSPECIFIED", "id": "string", "amount": "string", "originalAmount": "string" } ] } ], "maxPurchasable": 0, "maxPurchasableDescription": { "defaultText": "string", "localizationKey": "string", "localizedText": "string" }, "expiration": "2019-08-24T14:15:22Z", "refreshAt": "2019-08-24T14:15:22Z" } } ], "displayType": "CATALOG_GROUP_DISPLAY_TYPE_UNSPECIFIED", "displaySize": "CATALOG_OFFER_DISPLAY_SIZE_UNSPECIFIED" } ], "background": { "imageUrl": "string", "backgroundStyle": "string" }, "displayExpiration": "2019-08-24T14:15:22Z" } ], "triggers": [ { "displayType": "CATALOG_TRIGGER_DISPLAY_TYPE_UNSPECIFIED", "iconImageUrl": "string", "nextResetAt": "2019-08-24T14:15:22Z", "linkedSectionGuid": "string" } ] }}How is this guide?